summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Daniel Prosser <dpross1100@msn.com>2018-03-03 00:04:22 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-03-03 00:04:22 +0700
commit227e215a23e047902e2cf94bc746f9cc3885c034 (patch)
tree745da8da452d1018ad72b2ed431b836f4e604003 /academic
parent8c1c84ba2c35191bb58983051671942619de5144 (diff)
downloadslackbuilds-227e215a23e047902e2cf94bc746f9cc3885c034.tar.gz
slackbuilds-227e215a23e047902e2cf94bc746f9cc3885c034.tar.xz
academic/xflr5: Added (analysis tool for airfoils, wings, planes).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/xflr5/README6
-rw-r--r--academic/xflr5/fix_includes.diff23
-rw-r--r--academic/xflr5/slack-desc19
-rw-r--r--academic/xflr5/xflr5.SlackBuild106
-rw-r--r--academic/xflr5/xflr5.desktop10
-rw-r--r--academic/xflr5/xflr5.info10
6 files changed, 174 insertions, 0 deletions
diff --git a/academic/xflr5/README b/academic/xflr5/README
new file mode 100644
index 0000000000..1521ecb74b
--- /dev/null
+++ b/academic/xflr5/README
@@ -0,0 +1,6 @@
+XFLR5 is an analysis tool for airfoils, wings, and planes operating at low
+Reynolds numbers. It includes:
+
+1. XFoil's Direct and Inverse analysis capabilities
+2. Wing design and analysis capabilities based on Lifting Line Theory, on the
+ Vortex Lattice Method, and on a 3D Panel Method
diff --git a/academic/xflr5/fix_includes.diff b/academic/xflr5/fix_includes.diff
new file mode 100644
index 0000000000..cc4fe2c56d
--- /dev/null
+++ b/academic/xflr5/fix_includes.diff
@@ -0,0 +1,23 @@
+--- xflr5-gui/xdirect/XDirectStyleDlg.cpp 2018-02-28 23:07:05.640183963 -0500
++++ xflr5-gui/xdirect/XDirectStyleDlg.cpp.new 2018-02-28 23:06:54.047183259 -0500
+@@ -25,7 +25,7 @@
+ #include "viewwidgets/oppointwidget.h"
+ #include <QGridLayout>
+ #include <QLabel>
+-
++#include <QKeyEvent>
+
+
+ XDirectStyleDlg::XDirectStyleDlg(QWidget *pParent) : QDialog(pParent)
+--- xflr5-gui/xdirect/analysis/XFoilAnalysisDlg.cpp 2018-02-28 23:10:02.922194720 -0500
++++ xflr5-gui/xdirect/analysis/XFoilAnalysisDlg.cpp.new 2018-02-17 07:56:55.430707766 -0500
+@@ -37,8 +37,7 @@
+ #include "graphwidget.h"
+ #include <XFoil.h>
+ #include <xdirect/analysis/XFoilTask.h>
+-
+-
++#include <QShowEvent>
+
+ void *XFoilAnalysisDlg::s_pXDirect;
+ QPoint XFoilAnalysisDlg::s_Position;
diff --git a/academic/xflr5/slack-desc b/academic/xflr5/slack-desc
new file mode 100644
index 0000000000..7b47a24bb4
--- /dev/null
+++ b/academic/xflr5/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xflr5: xflr5 (analysis tool for airfoils, wings, and planes)
+xflr5:
+xflr5: XFLR5 is an analysis tool for airfoils, wings, and planes operating at
+xflr5 low Reynolds numbers. It includes:
+xflr5:
+xflr5: 1. XFoil's Direct and Inverse analysis capabilities
+xflr5: 2. Wing design and analysis capabilities based on Lifting Line theory,
+xflr5: on the Vortex Lattice method, and on a 3D Panel method
+xflr5:
+xflr5: Homepage: http://www.xflr5.com/xflr5.htm
+xflr5:
diff --git a/academic/xflr5/xflr5.SlackBuild b/academic/xflr5/xflr5.SlackBuild
new file mode 100644
index 0000000000..660cb015ee
--- /dev/null
+++ b/academic/xflr5/xflr5.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for xflr5
+
+# Copyright 2018 Daniel Prosser, Lexington Park, MD, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xflr5
+VERSION=${VERSION:-6.40}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/${PRGNAM}_v${VERSION}_src.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p0 < $CWD/fix_includes.diff
+
+qmake-qt5 \
+ PREFIX=/usr \
+ QMAKE_CFLAGS+="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS+="$SLKCFLAGS" \
+ CONFIG+=release \
+ $PRGNAM.pro
+
+make
+make install INSTALL_ROOT=$PKG
+
+# Rename lib directory manually, since there's no configuration option to do so
+if [ -n "$LIBDIRSUFFIX" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib${LIBDIRSUFFIX}
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/icons/hicolor/64x64/apps
+cp -a xflr5-gui/images/xflr5_64.png $PKG/usr/share/icons/hicolor/64x64/apps
+
+mkdir -p $PKG/usr/share/applications
+cp -a $CWD/xflr5.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a License.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/xflr5/xflr5.desktop b/academic/xflr5/xflr5.desktop
new file mode 100644
index 0000000000..4559ab869f
--- /dev/null
+++ b/academic/xflr5/xflr5.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Comment=an analysis tool for airfoils, wings, and planes
+Exec=xflr5
+GenericName=Aircraft analysis tool
+Icon=xflr5_64
+Name=xflr5
+StartupNotify=true
+Terminal=false
+Type=Application
+Categories=Education;Science;
diff --git a/academic/xflr5/xflr5.info b/academic/xflr5/xflr5.info
new file mode 100644
index 0000000000..0c2221f819
--- /dev/null
+++ b/academic/xflr5/xflr5.info
@@ -0,0 +1,10 @@
+PRGNAM="xflr5"
+VERSION="6.40"
+HOMEPAGE="http://www.xflr5.com/xflr5.htm"
+DOWNLOAD="https://netix.dl.sourceforge.net/project/xflr5/6.40/xflr5_v6.40_src.tar.gz"
+MD5SUM="f29b78d641c1f09138ffaa02377b3f26"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5"
+MAINTAINER="Daniel Prosser"
+EMAIL="dpross1100@msn.com"